Subject: bug#50069: closed (Re: bug#50069: grep-3.7 test-regex fails when configured with --without-included-regex)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 15 Aug 2021 18:23:01 +0000

Your bug report

#50069: grep-3.7 test-regex fails when configured with --without-included-regex

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50069: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50069
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50069: grep-3.7 test-regex fails when configured with --without-included-regex
From: Paul Eggert <[email-masked]>
To: Klaus Dittrich <[email-masked]>
Cc: [email-masked]
Date: Sun, 15 Aug 2021 11:22:10 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 8/15/21 9:49 AM, Klaus Dittrich wrote:
> --without-included-regex
> don't compile regex; this is the default on systems
> with recent-enough versions of the GNU C Library
> (use with caution on other systems)....

> So is this option deprecated, configure/compile logic wrong or do I have 
> overlooked something?

You're running into this glibc bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=11053

Unfortunately yhis has not yet been fixed in glibc. However, GNU grep's 
implementation fixes the bug.

Subject: grep-3.7 test-regex fails when configured with --without-included-regex
From: Klaus Dittrich <[email-masked]>
To: [email-masked]
Date: Sun, 15 Aug 2021 18:49:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

According to configure --help

--without-included-regex
don't compile regex; this is the default on systems
with recent-enough versions of the GNU C Library
(use with caution on other systems).

I have installed glib-2.34 so I assumed --without-included-regex would 
save some time. Instead I got

===============================================
    GNU grep 3.7: gnulib-tests/test-suite.log
===============================================

# TOTAL: 201
# PASS:  192
# SKIP:  8
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test-regex
================

free(): invalid pointer
FAIL test-regex (exit status: 134)

Without using this option all run through without any failure.

So is this option deprecated, configure/compile logic wrong or do I have 
overlooked something?

--
Regards Klaus